<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Interfaz EDI/WMS - RECIBOS</title>
</head>

<body>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP
	
///************************************************ INICIA REGISTRO NUEVO	************************************************///
///========================================================================================================================///	

ini_set('max_execution_time', 9999);	

$HoraIni=time();
$HoraIniOK=date("H:i:s",$HoraIni);
echo "La hora inicial del proceso es:" . $HoraIniOK . " hrs";
	
///Conexión a BD Local
$con_LOC= mysql_connect("192.168.1.170","NotificaEDI","@cc3s0_2021");
mysql_select_db("wms_dextramul", $con_LOC);
	
///Determinar Vigencia
$Hora=time();
$HoraOK=date("H:i:s",$Hora);
$FechaHoy=date("Y/m/d");
			
$FechaAnterior = strtotime ( '-2 day' , strtotime ( $FechaHoy ) ) ;
$FechaAnterior = date ( 'Y/m/d' , $FechaAnterior );	
	
///Inicia While 1
$sql_w1=mysql_query("SELECT * FROM `tabla_docsurtido` WHERE FECHA_CREADO Between '$FechaAnterior' and '$FechaHoy' and (`CVE_CUENTA`='27' or `CVE_CUENTA`='39' or `CVE_CUENTA`='42') Order By CVE_CUENTA, ID");
while($res_w1=mysql_fetch_array($sql_w1))
///while($res_w1==mysql_fetch_array($sql_w1,$con_CLO) or die(mysql_error()))
{///Inicia While
	
$Var01 = $res_w1['ID'];
$Var02 = $res_w1['CVE_BODEGA'];
$Var03 = $res_w1['CVE_CUENTA'];
$Var04 = $res_w1['NO_DOCUMENTO'];
$Var05 = $res_w1['EDO_DOCUMENTO'];
$Var06 = $res_w1['REFERENCIA1'];
$Var07 = $res_w1['REFERENCIA2'];
$Var08 = $res_w1['TIPO_EXTRACCION'];
$Var09 = $res_w1['PEDIMENTO_EXTRACCION'];
$Var10 = $res_w1['TIPO_SALIDA'];
$Var11 = $res_w1['DESTINO'];
$Var12 = $res_w1['TIPO_SURTIDO'];
$Var13 = $res_w1['BACKORDER'];
$Var14 = $res_w1['PRIORIDAD'];
$Var15 = $res_w1['FECHA_CREADO'];
$Var16 = $res_w1['HORA_CREADO'];
$Var17 = $res_w1['USUARIO_SURTIDO'];
$Var18 = $res_w1['FECHA_SURTIDO'];
$Var19 = $res_w1['HORA_SURTIDO'];
$Var20 = $res_w1['FECHA_CIERRE'];
$Var21 = $res_w1['HORA_CIERRE'];	
$Var22 = $res_w1['DISPONIBILIDAD'];	
$Var23 = $res_w1['OBSERVACIONES'];
$Var24 = $res_w1['ANOTA_1'];
$Var25 = $res_w1['ANOTA_2'];
$Var26 = $res_w1['AGRUPACION_ENVIO'];
$Var27 = $res_w1['FECHA_REG'];
$Var28 = $res_w1['HORA_REG'];
$Var29 = $res_w1['USUARIO_REG'];

	
	///Hora y Fecha
	$Hora=time();
	$HoraOK=date("H:i:s",$Hora);
	$Fecha=date("Y/m/d");
	
	///Conexión a BD Remota
	$con_CLO= mysql_connect("52.20.207.221","WebReportDextra","a1r2v7R#");
	mysql_select_db("Dextra_WebReport", $con_CLO);
	
	///Consultar la existencia del Documento
	$sql_C1 = mysql_query("select * from tabla_docsurtido_cloud where NO_DOCUMENTO='$Var04' and CVE_CUENTA='$Var03'");
	if (mysql_numrows($sql_C1)==0) 
	{
		///Insertar en BD Cloud
		$sql_GC = "insert into tabla_docsurtido_cloud (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,EDO_DOCUMENTO,REFERENCIA1,REFERENCIA2,TIPO_EXTRACCION,PEDIMENTO_EXTRACCION,TIPO_SALIDA,DESTINO,TIPO_SURTIDO,BACKORDER,PRIORIDAD,FECHA_CREADO,HORA_CREADO,USUARIO_SURTIDO,FECHA_SURTIDO,HORA_SURTIDO,FECHA_CIERRE,HORA_CIERRE,DISPONIBILIDAD,OBSERVACIONES,ANOTA_1,ANOTA_2,AGRUPACION_ENVIO,FECHA_REG,HORA_REG,USUARIO_REG,FECHA_ACT,HORA_ACT)
		values('$Var01','$Var02','$Var03','$Var04','$Var05','$Var06','$Var07','$Var08','$Var09','$Var10','$Var11','$Var12','$Var13','$Var14','$Var15','$Var16','$Var17','$Var18','$Var19','$Var20','$Var21','$Var22','$Var23','$Var24','$Var25','$Var26','$Var27','$Var28','$Var29','$Fecha','$HoraOK')";
		$resultado_GC=mysql_query($sql_GC,$con_CLO) or die(mysql_error());	
	}
	else
	{
		///Modificar en BD Cloud
		$sql_GM="UPDATE tabla_docsurtido_cloud SET EDO_DOCUMENTO='$Var05',USUARIO_SURTIDO='$Var17',FECHA_SURTIDO='$Var18',HORA_SURTIDO='$Var19',FECHA_CIERRE='$Var20',HORA_CIERRE='$Var21', FECHA_ACT='$Fecha', HORA_ACT='$HoraOK' WHERE NO_DOCUMENTO='$Var04' and CVE_CUENTA='$Var03'";
		$resultado_GM=mysql_query($sql_GM,$con_CLO) or die(mysql_error());
		
	}
			
	
	///Limpiar Variables
	$Var01 = "";
	$Var02 = "";
	$Var03 = "";
	$Var04 = "";
	$Var05 = "";
	$Var06 = "";
	$Var07 = "";
	$Var08 = "";
	$Var09 = "";
	$Var10 = "";
	$Var11 = "";
	$Var12 = "";
	$Var13 = "";
	$Var14 = "";
	$Var15 = "";
	$Var16 = "";
	$Var17 = "";
	$Var18 = "";
	$Var19 = "";
	$Var20 = "";
	$Var21 = "";
	$Var22 = "";
	$Var23 = "";
	$Var24 = "";
	$Var25 = "";
	$Var26 = "";
	$Var27 = "";
	$Var28 = "";
	$Var29 = "";

///Conexión a BD Local
$con_LOC= mysql_connect("192.168.1.170","NotificaEDI","@cc3s0_2021");
mysql_select_db("wms_dextramul", $con_LOC);
	
}///Termina While
	
$HoraFin=time();
$HoraFinOK=date("H:i:s",$HoraFin);
echo "<Br><Br>La hora final del proceso es:" . $HoraFinOK . " hrs";	

	
///echo "<script>alert('Información Enviada Correctamente.');</script>";
echo "<META HTTP-EQUIV=Refresh CONTENT='2; URL=WindowsClose.php'>";


?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->
	
</body>
</html>